From: Martin Kepplinger <martin.kepplinger@puri.sm>
Date: Mon, 11 May 2020 16:45:39 +0200
Subject: WIP: arm64: dts: imx8mq-librem5: add unused pinctrl settings

---
 arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi | 119 ++++++++++++++++++++++
 1 file changed, 119 insertions(+)

diff --git a/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi b/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
index 079807f..a068e02 100644
--- a/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
+++ b/arch/arm64/boot/dts/freescale/imx8mq-librem5.dtsi
@@ -382,6 +382,15 @@ MX8MQ_IOMUXC_ENET_RXC_GPIO1_IO25	0x83
 		>;
 	};
 
+	pinctrl_charger: chargergrp {
+		fsl,pins = <
+			/* CHG_EN */
+			MX8MQ_IOMUXC_NAND_CE1_B_GPIO3_IO2	0x3
+			/* CHG_OTG_OUT_EN */
+			MX8MQ_IOMUXC_NAND_CE3_B_GPIO3_IO4	0x3
+		>;
+	};
+
 	pinctrl_charger_in: chargeringrp {
 		fsl,pins = <
 			/* CHRG_INT */
@@ -391,6 +400,13 @@ MX8MQ_IOMUXC_NAND_ALE_GPIO3_IO0		0x80
 		>;
 	};
 
+	pinctrl_csi2: csi2grp {
+		fsl,pins = <
+			/* CSI2_NRST */
+			MX8MQ_IOMUXC_ENET_RD0_GPIO1_IO26	0x83
+		>;
+	};
+
 	pinctrl_dsibiasen: dsibiasengrp {
 		fsl,pins = <
 			/* DSI_BIAS_EN */
@@ -432,6 +448,13 @@ MX8MQ_IOMUXC_SAI5_RXC_GPIO3_IO20	0x80
 		>;
 	};
 
+	pinctrl_gnss: gnssgrp {
+		fsl,pins = <
+			/* GPS_RST */
+			MX8MQ_IOMUXC_GPIO1_IO08_GPIO1_IO8	0x83
+		>;
+	};
+
 	pinctrl_gnsspwr: gnsspwrgrp {
 		fsl,pins = <
 			/* GPS3V3_EN */
@@ -439,6 +462,14 @@ MX8MQ_IOMUXC_NAND_DATA06_GPIO3_IO12	0x83
 		>;
 	};
 
+	/* unused */
+	pinctrl_hall: hallgrp {
+		fsl,pins = <
+			/* HALL */
+			MX8MQ_IOMUXC_ENET_TD3_GPIO1_IO18	0x80
+		>;
+	};
+
 	pinctrl_haptic: hapticgrp {
 		fsl,pins = <
 			/* MOTO */
@@ -453,6 +484,24 @@ MX8MQ_IOMUXC_NAND_DATA03_GPIO3_IO9	0x180
 		>;
 	};
 
+	pinctrl_hsw: hswgrp {
+		fsl,pins = <
+			/* HSW_WIFI_STATE */
+			MX8MQ_IOMUXC_SAI1_TXFS_GPIO4_IO10	0x180
+			/* HSW_CA_STATE */
+			MX8MQ_IOMUXC_SAI1_RXC_GPIO4_IO1		0x180
+			/* HSW_4G_STATE */
+			MX8MQ_IOMUXC_SAI1_RXFS_GPIO4_IO0	0x180
+		>;
+	};
+
+	pinctrl_hub_nreset: hubnresetgrp {
+		fsl,pins = <
+			/* HUB_nRESET */
+			MX8MQ_IOMUXC_GPIO1_IO12_GPIO1_IO12	0x83
+		>;
+	};
+
 	pinctrl_hub_pwr: hubpwrgrp {
 		fsl,pins = <
 			/* HUB_PWR_3V3_EN */
@@ -529,6 +578,16 @@ MX8MQ_IOMUXC_SAI5_RXD1_GPIO3_IO22	0x80
 		>;
 	};
 
+	/* unused */
+	pinctrl_nfc: nfcgrp {
+		fsl,pins = <
+			/* NFC_EN */
+			MX8MQ_IOMUXC_SAI3_RXFS_GPIO4_IO28	0x83
+			/* NFC_IRQ */
+			MX8MQ_IOMUXC_SAI1_TXC_GPIO4_IO11	0x80
+		>;
+	};
+
 	pinctrl_pmic: pmicgrp {
 		fsl,pins = <
 			/* PMIC_NINT */
@@ -567,6 +626,16 @@ MX8MQ_IOMUXC_SAI2_TXC_SAI2_TX_BCLK	0xd6
 		>;
 	};
 
+	/* unused */
+	pinctrl_sai3: sai3grp {
+		fsl,pins = <
+			MX8MQ_IOMUXC_SAI3_TXD_SAI3_TX_DATA0	0xd6
+			MX8MQ_IOMUXC_SAI3_TXC_SAI3_TX_BCLK	0xd6
+			MX8MQ_IOMUXC_SAI3_RXD_SAI3_RX_DATA0	0xd6
+			MX8MQ_IOMUXC_SAI3_TXFS_SAI3_TX_SYNC	0xd6
+		>;
+	};
+
 	pinctrl_sai6: sai6grp {
 		fsl,pins = <
 			MX8MQ_IOMUXC_SAI1_RXD5_SAI6_RX_DATA0	0xd6
@@ -576,6 +645,20 @@ MX8MQ_IOMUXC_SAI1_TXD5_SAI6_TX_DATA0	0xd6
 		>;
 	};
 
+	pinctrl_sd_pwr: sdpwrgrp {
+		fsl,pins = <
+			/* TF_PWR_3V3_EN */
+			MX8MQ_IOMUXC_GPIO1_IO03_GPIO1_IO3	0x83
+		>;
+	};
+
+	pinctrl_smc: smcgrp {
+		fsl,pins = <
+			/* SMC_PWR_3V3_EN (smrt crd) */
+			MX8MQ_IOMUXC_GPIO1_IO06_GPIO1_IO6	0x83
+		>;
+	};
+
 	pinctrl_tcpc: tcpcgrp {
 		fsl,pins = <
 			/* TCPC_INT */
@@ -731,6 +814,42 @@ MX8MQ_IOMUXC_NAND_DATA04_GPIO3_IO10	0x83
 		>;
 	};
 
+	/* unused */
+	pinctrl_wifi: wifigrp {
+		fsl,pins = <
+			/* SDIO_WAKE (WiFi) */
+			MX8MQ_IOMUXC_SD2_WP_GPIO2_IO20		0x80
+		>;
+	};
+
+	pinctrl_wwan: wwangrp {
+		fsl,pins = <
+			/* 4G_RESET# */
+			MX8MQ_IOMUXC_NAND_CE0_B_GPIO3_IO1	0x83
+			/* 4G_W_DISABLE */
+			MX8MQ_IOMUXC_NAND_READY_B_GPIO3_IO16	0x83
+			/* 4G_W_DIS2 */
+			MX8MQ_IOMUXC_NAND_DATA07_GPIO3_IO13	0x83
+		>;
+	};
+
+	pinctrl_wwan_pwr: wwanpwrgrp {
+		fsl,pins = <
+			/* 4G_PWR_EN */
+			MX8MQ_IOMUXC_NAND_WP_B_GPIO3_IO18	0x83
+		>;
+	};
+
+	/* unused */
+	pinctrl_usb: usbgrp {
+		fsl,pins = <
+			/* HUB_RESET */
+			MX8MQ_IOMUXC_GPIO1_IO12_GPIO1_IO12	0x83
+			/* CHG_USB_DSEL */
+			MX8MQ_IOMUXC_SAI5_RXFS_GPIO3_IO19	0x80
+		>;
+	};
+
 	pinctrl_wdog: wdoggrp {
 		fsl,pins = <
 			/* nWDOG */
